# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.feature.Artifact
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_ALIAS`
`"alias"`
`public static final String`
`KEY_FEATURE_ORIGINS`
`"feature-origins"`
`public static final String`
`KEY_START_ORDER`
`"start-order"`
org.apache.sling.feature.ArtifactId
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TYPE`
`"jar"`
org.apache.sling.feature.Configuration
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIGURATOR_PREFIX`
`":configurator:"`
`public static final String`
`PROP_ARTIFACT_ID`
`":configurator:feature-service.bundleLocation"`
`public static final String`
`PROP_FEATURE_ORIGINS`
`":configurator:feature-origins"`
`public static final String`
`PROP_PREFIX`
`":configurator:feature-"`
org.apache.sling.feature.ExecutionEnvironmentExtension
Modifier and Type
Constant Field
Value
`public static final String`
`EXTENSION_NAME`
`"execution-environment"`
org.apache.sling.feature.Extension
Modifier and Type
Constant Field
Value
`public static final String`
`EXTENSION_NAME_ASSEMBLED_FEATURES`
`"assembled-features"`
`public static final String`
`EXTENSION_NAME_CONTENT_PACKAGES`
`"content-packages"`
`public static final String`
`EXTENSION_NAME_INTERNAL_DATA`
`"feature-internal-data"`
`public static final String`
`EXTENSION_NAME_REPOINIT`
`"repoinit"`

org.apache.sling.feature.builder.BuilderContext
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_FAIL_ON_CLASH`
`"CLASH"`
`public static final String`
`CONFIG_FAIL_ON_PROPERTY_CLASH`
`"PROPERTY_CLASH"`
`public static final String`
`CONFIG_MERGE_FIRST`
`"MERGE_FIRST"`
`public static final String`
`CONFIG_MERGE_LATEST`
`"MERGE_LATEST"`
`public static final String`
`CONFIG_USE_FIRST`
`"USE_FIRST"`
`public static final String`
`CONFIG_USE_LATEST`
`"USE_LATEST"`
`public static final String`
`COORDINATE_MATCH_ALL`
`"*"`
`public static final String`
`VERSION_OVERRIDE_ALL`
`"ALL"`
`public static final String`
`VERSION_OVERRIDE_FIRST`
`"FIRST"`
`public static final String`
`VERSION_OVERRIDE_HIGHEST`
`"HIGHEST"`
`public static final String`
`VERSION_OVERRIDE_LATEST`
`"LATEST"`

org.apache.sling.feature.io.IOUtils
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_DIRECTORY`
`"features"`
`public static final String`
`DEFAULT_FEATURE_FILE`
`"feature.json"`
`public static final String`
`EXTENSION_FEATURE_ARCHIVE`
`".far"`
`public static final String`
`EXTENSION_FEATURE_FILE`
`".json"`
`public static final String`
`EXTENSION_REF_FILE`
`".ref"`

org.apache.sling.feature.io.archive.ArchiveWriter
Modifier and Type
Constant Field
Value
`public static final int`
`ARCHIVE_VERSION`
`1`
`public static final String`
`CONTENTS_HEADER`
`"Feature-Archive-Contents"`
`public static final String`
`VERSION_HEADER`
`"Feature-Archive-Version"`